{% extends "./index.html" %}
{% load static %}
{% block contenido %}
<div class="row">
    <div class="col-md-2">
    </div>
    <div class="col-md-8">
        <br> <br>
        <form class="" action="/procesarActualizacionIngrediente/" method="post" enctype="multipart/form-data">
            {% csrf_token %}
            <input type="hidden" name="id_bf" value="{{ingrediente.id_bf}}">
            <br>
            <input type="text" name="nombre_bf" id="nombre_bf" value="{{ingrediente.nombre_bf}}" class="form-control" required>
            <br>
            <input type="text" name="cantidad_disponible_bf" id="cantidad_disponible_bf" value="{{ingrediente.cantidad_disponible_bf}}" class="form-control" required>
            <br>
            <input type="date" name="fecha_expiracion_bf" id="fecha_expiracion_bf" value="{{ingrediente.fecha_expiracion_bf|date:'Y-m-d'}}" class="form-control" required>
            <br>
            <b>Forografia </b>
            <br>
            {% if ingrediente.imagen_bf %}
                <img src="{{ingrediente.imagen_bf.url}}" alt="Imagen actual" width="300px">
            {% endif %}
        <input type="file" name="imagen_bf" id="imagen_bf" accept="image/*" class="form-control">
            <br></br>
            <center>
                <button type="submit" name="button" class="btn btn-warning">Actualizar</button> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                <a href="{% url 'ingredientes' %}" name="button" class="btn btn-danger">Cancelar</a>
            </center>
        </form>
    </div>
</div>

<script type="text/javascript">
          $("#frm_nuevo_ingre").validate({
            rules:{
              "nombre_bf":{
                required:true,
                text:false
              },
              "cantidad_disponible_bf":{
                required:true,
                number:true
              },
              "fecha_expiracion_bf":{
                required:true
              },
              "imagen_bf":{
                required:true
              }
            },
            messages:{
              "nombre_bf":{
                required:"Por favor Ingrese un Ingrediente",
                text:"Debe ingresar solo letras"
              },
              "cantidad_disponible_bf":{
                required:"Debe Ingresar una Cantidad",
                number:"Debe Ingresar Solo Numeros"
              },
              "fecha_expiracion_bf":{
                required:"Debe ingresar una fecha de expiracion"
              },
              "imagen_bf":{
                required:"Debe ingresar una imagen valida"
              }
            }
          });
        </script>

{% endblock %}
